package com.mortals.xhx.module.customer.model;

import com.mortals.xhx.base.system.user.model.UserPwdRecordQuery;

import java.util.List;

public class CustomerPwdRecordQuery extends CustomerPwdRecordEntity {
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长列表 */
    private List<Long> idList;

    /** 主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 用户ID，主键，自增长 */
    private Long userIdStart;

    /** 结束 用户ID，主键，自增长 */
    private Long userIdEnd;

    /** 增加 用户ID，主键，自增长 */
    private Long userIdIncrement;

    /** 用户ID，主键，自增长列表 */
    private List <Long> userIdList;

    /** 用户ID，主键，自增长排除列表 */
    private List <Long> userIdNotList;

    /** 登录名 */
    private List<String> loginNameList;

    /** 登录名排除列表 */
    private List <String> loginNameNotList;
    /** 登录密码，使用md5双次加密 */
    private List<String> loginPwdList;

    /** 登录密码，使用md5双次加密排除列表 */
    private List <String> loginPwdNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CustomerPwdRecordQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CustomerPwdRecordQuery> andConditionList;

    public CustomerPwdRecordQuery(){}

    /**
     * 获取 开始 主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 用户ID，主键，自增长
     * @return userIdStart
     */
    public Long getUserIdStart(){
        return this.userIdStart;
    }

    /**
     * 设置 开始 用户ID，主键，自增长
     * @param userIdStart
     */
    public void setUserIdStart(Long userIdStart){
        this.userIdStart = userIdStart;
    }

    /**
     * 获取 结束 用户ID，主键，自增长
     * @return $userIdEnd
     */
    public Long getUserIdEnd(){
        return this.userIdEnd;
    }

    /**
     * 设置 结束 用户ID，主键，自增长
     * @param userIdEnd
     */
    public void setUserIdEnd(Long userIdEnd){
        this.userIdEnd = userIdEnd;
    }

    /**
     * 获取 增加 用户ID，主键，自增长
     * @return userIdIncrement
     */
    public Long getUserIdIncrement(){
        return this.userIdIncrement;
    }

    /**
     * 设置 增加 用户ID，主键，自增长
     * @param userIdIncrement
     */
    public void setUserIdIncrement(Long userIdIncrement){
        this.userIdIncrement = userIdIncrement;
    }

    /**
     * 获取 用户ID，主键，自增长
     * @return userIdList
     */
    public List<Long> getUserIdList(){
        return this.userIdList;
    }

    /**
     * 设置 用户ID，主键，自增长
     * @param userIdList
     */
    public void setUserIdList(List<Long> userIdList){
        this.userIdList = userIdList;
    }

    /**
     * 获取 用户ID，主键，自增长
     * @return userIdNotList
     */
    public List<Long> getUserIdNotList(){
        return this.userIdNotList;
    }

    /**
     * 设置 用户ID，主键，自增长
     * @param userIdNotList
     */
    public void setUserIdNotList(List<Long> userIdNotList){
        this.userIdNotList = userIdNotList;
    }


    /**
     * 获取 登录名
     * @return loginNameList
     */
    public List<String> getLoginNameList(){
        return this.loginNameList;
    }

    /**
     * 设置 登录名
     * @param loginNameList
     */
    public void setLoginNameList(List<String> loginNameList){
        this.loginNameList = loginNameList;
    }

    /**
     * 获取 登录名
     * @return loginNameNotList
     */
    public List<String> getLoginNameNotList(){
        return this.loginNameNotList;
    }

    /**
     * 设置 登录名
     * @param loginNameNotList
     */
    public void setLoginNameNotList(List<String> loginNameNotList){
        this.loginNameNotList = loginNameNotList;
    }

    /**
     * 获取 登录密码，使用md5双次加密
     * @return loginPwdList
     */
    public List<String> getLoginPwdList(){
        return this.loginPwdList;
    }

    /**
     * 设置 登录密码，使用md5双次加密
     * @param loginPwdList
     */
    public void setLoginPwdList(List<String> loginPwdList){
        this.loginPwdList = loginPwdList;
    }

    /**
     * 获取 登录密码，使用md5双次加密
     * @return loginPwdNotList
     */
    public List<String> getLoginPwdNotList(){
        return this.loginPwdNotList;
    }

    /**
     * 设置 登录密码，使用md5双次加密
     * @param loginPwdNotList
     */
    public void setLoginPwdNotList(List<String> loginPwdNotList){
        this.loginPwdNotList = loginPwdNotList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 设置  主键，自增长
     * @param id
     */
    public CustomerPwdRecordQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public CustomerPwdRecordQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public CustomerPwdRecordQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public CustomerPwdRecordQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public CustomerPwdRecordQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键，自增长
     * @param idNotList
     */
    public CustomerPwdRecordQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  用户ID，主键，自增长
     * @param userId
     */
    public CustomerPwdRecordQuery userId(Long userId){
        setUserId(userId);
        return this;
    }

    /**
     * 设置 开始 用户ID，主键，自增长
     * @param userIdStart
     */
    public CustomerPwdRecordQuery userIdStart(Long userIdStart){
        this.userIdStart = userIdStart;
        return this;
    }

    /**
     * 设置 结束 用户ID，主键，自增长
     * @param userIdEnd
     */
    public CustomerPwdRecordQuery userIdEnd(Long userIdEnd){
        this.userIdEnd = userIdEnd;
        return this;
    }

    /**
     * 设置 增加 用户ID，主键，自增长
     * @param userIdIncrement
     */
    public CustomerPwdRecordQuery userIdIncrement(Long userIdIncrement){
        this.userIdIncrement = userIdIncrement;
        return this;
    }

    /**
     * 设置 用户ID，主键，自增长
     * @param userIdList
     */
    public CustomerPwdRecordQuery userIdList(List<Long> userIdList){
        this.userIdList = userIdList;
        return this;
    }

    /**
     * 设置 用户ID，主键，自增长
     * @param userIdNotList
     */
    public CustomerPwdRecordQuery userIdNotList(List<Long> userIdNotList){
        this.userIdNotList = userIdNotList;
        return this;
    }


    /**
     * 设置 登录名
     * @param loginName
     */
    public CustomerPwdRecordQuery loginName(String loginName){
        setLoginName(loginName);
        return this;
    }

    /**
     * 设置 登录名
     * @param loginNameList
     */
    public CustomerPwdRecordQuery loginNameList(List<String> loginNameList){
        this.loginNameList = loginNameList;
        return this;
    }


    /**
     * 设置 登录密码，使用md5双次加密
     * @param loginPwd
     */
    public CustomerPwdRecordQuery loginPwd(String loginPwd){
        setLoginPwd(loginPwd);
        return this;
    }

    /**
     * 设置 登录密码，使用md5双次加密
     * @param loginPwdList
     */
    public CustomerPwdRecordQuery loginPwdList(List<String> loginPwdList){
        this.loginPwdList = loginPwdList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public CustomerPwdRecordQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public CustomerPwdRecordQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public CustomerPwdRecordQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public CustomerPwdRecordQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public CustomerPwdRecordQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public CustomerPwdRecordQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<CustomerPwdRecordQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<CustomerPwdRecordQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<CustomerPwdRecordQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<CustomerPwdRecordQuery> andConditionList){
        this.andConditionList = andConditionList;
    }
}
