package com.mortals.xhx.module.customer.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.customer.model.vo.CustomerWorkCollectVo;
import lombok.Data;
/**
 * 客户收藏信息实体对象
 *
 * @author zxfei
 * @date 2023-07-11
 */
@Data
public class CustomerWorkCollectEntity extends CustomerWorkCollectVo {
    private static final long serialVersionUID = 1L;

    /**
     * 客户ID
     */
    private Long customerId;
    /**
     * 模版ID
     */
    private Long masterplateId;
    /**
     * 作品类型：1:图片，2:视频
     */
    private Integer designType;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CustomerWorkCollectEntity) {
            CustomerWorkCollectEntity tmp = (CustomerWorkCollectEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

        this.customerId = null;

        this.masterplateId = -1L;

        this.designType = 1;
    }
}