package com.mortals.xhx.module.goview.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.goview.model.GoviewMasterplateEntity;
/**
* GoviewMasterplateService
*
* 模板表 service接口
*
* @author zxfei
* @date 2023-04-16
*/
public interface GoviewMasterplateService extends ICRUDService<GoviewMasterplateEntity,Long>{

    /**
     * 使用模板
     * @param masterplateId
     * @param context
     * @throws AppException
     */
    void useMasterplate(Long masterplateId, Context context) throws AppException;
}