package com.mortals.xhx.module.help.service.impl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.module.help.dao.HelpEvaluateDao;
import com.mortals.xhx.module.help.model.HelpEvaluateEntity;
import com.mortals.xhx.module.help.service.HelpEvaluateService;
/**
* HelpEvaluateService
* 帮助评价信息 service实现
*
* @author zxfei
* @date 2022-06-29
*/
@Service("helpEvaluateService")
public class HelpEvaluateServiceImpl extends AbstractCRUDServiceImpl<HelpEvaluateDao, HelpEvaluateEntity, Long> implements HelpEvaluateService {

    @Override
    protected HelpEvaluateEntity findBefore(HelpEvaluateEntity params, PageInfo pageInfo, Context context) throws AppException {
        pageInfo.setPrePageResult(-1);
        return super.findBefore(params, pageInfo, context);
    }
}