package com.mortals.xhx;

import com.mortals.framework.springcloud.boot.BaseWebApplication;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.context.annotation.ImportResource;
//import springfox.documentation.swagger2.annotations.EnableSwagger2;

@SpringBootApplication(scanBasePackages = {"com.mortals"})
@ServletComponentScan("com.mortals")
@ImportResource(locations = {"classpath:config/spring-config.xml"})
//@EnableBinding({ProcessTaskSink.class})
public class DatavManagerApplication extends BaseWebApplication {

    public static void main(String[] args) {
        SpringApplication.run(DatavManagerApplication.class, args);
    }


}
