package com.mortals.xhx.module.goview.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.goview.model.vo.GoviewMasterplateDataVo;
/**
* 模板数据实体对象
*
* @author zxfei
* @date 2023-04-16
*/

public class GoviewMasterplateDataEntity extends GoviewMasterplateDataVo {
    private static final long serialVersionUID = 1L;

    /**
    * 模板Id
    */
    private Long masterplateId;
    /**
    * 存储数据
    */
    private byte[] content;



    public GoviewMasterplateDataEntity(){}
    /**
    * 获取 模板Id
    * @return Long
    */
    public Long getMasterplateId(){
        return masterplateId;
    }
    /**
    * 设置 模板Id
    * @param masterplateId
    */
    public void setMasterplateId(Long masterplateId){
        this.masterplateId = masterplateId;
    }
    /**
    * 获取 存储数据
    * @return byte[]
    */
    public byte[] getContent(){
        return content;
    }
    /**
    * 设置 存储数据
    * @param content
    */
    public void setContent(byte[] content){
        this.content = content;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof GoviewMasterplateDataEntity) {
            GoviewMasterplateDataEntity tmp = (GoviewMasterplateDataEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",masterplateId:").append(getMasterplateId());
        sb.append(",content:").append(getContent());
        return sb.toString();
    }

    public void initAttrValue(){

            this.masterplateId = null;

            this.content = null;
    }
}