package com.mortals.xhx.module.proposal.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.proposal.model.ProposalEntity;
/**
* 客户建议信息查询对象
*
* @author zxfei
* @date 2022-06-29
*/
public class ProposalQuery extends ProposalEntity {
    /** 开始 建议ID，主键，自增长 */
    private Long idStart;

    /** 结束 建议ID，主键，自增长 */
    private Long idEnd;

    /** 增加 建议ID，主键，自增长 */
    private Long idIncrement;

    /** 建议ID，主键，自增长列表 */
    private List <Long> idList;

    /** 建议内容 */
    private List<String> contentList;

    /** 截图地址 */
    private List<String> screenshotList;

    /** 开始 客户id */
    private Long customerIdStart;

    /** 结束 客户id */
    private Long customerIdEnd;

    /** 增加 客户id */
    private Long customerIdIncrement;

    /** 客户id列表 */
    private List <Long> customerIdList;

    /** 客户名称 */
    private List<String> custNameList;

    /** 开始 提交时间 */
    private String createTimeStart;

    /** 结束 提交时间 */
    private String createTimeEnd;

    /** 开始 回复状态备0未回复1已回复 */
    private Integer replyStatusStart;

    /** 结束 回复状态备0未回复1已回复 */
    private Integer replyStatusEnd;

    /** 增加 回复状态备0未回复1已回复 */
    private Integer replyStatusIncrement;

    /** 回复状态备0未回复1已回复列表 */
    private List <Integer> replyStatusList;

    /** 回复内容 */
    private List<String> replyContentList;

    /** 开始 回复时间 */
    private String replyTimeStart;

    /** 结束 回复时间 */
    private String replyTimeEnd;

    /** 开始 回复发送方式1站内发送2短信发送3同时发送 */
    private Integer sendModeStart;

    /** 结束 回复发送方式1站内发送2短信发送3同时发送 */
    private Integer sendModeEnd;

    /** 增加 回复发送方式1站内发送2短信发送3同时发送 */
    private Integer sendModeIncrement;

    /** 回复发送方式1站内发送2短信发送3同时发送列表 */
    private List <Integer> sendModeList;

    /** 开始 回复发送状态0未发送1已发送 */
    private Integer sendStatusStart;

    /** 结束 回复发送状态0未发送1已发送 */
    private Integer sendStatusEnd;

    /** 增加 回复发送状态0未发送1已发送 */
    private Integer sendStatusIncrement;

    /** 回复发送状态0未发送1已发送列表 */
    private List <Integer> sendStatusList;

    /** 联系电话 */
    private List<String> contactTelphoneList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ProposalQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ProposalQuery> andConditionList;

    public ProposalQuery(){}

    /**
    * 获取 开始 建议ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 建议ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 建议ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 建议ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 建议ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 建议ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 建议ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 建议ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 建议内容
    * @return contentList
    */
    public List<String> getContentList(){
        return this.contentList;
    }

    /**
    * 设置 建议内容
    * @param contentList
    */
    public void setContentList(List<String> contentList){
        this.contentList = contentList;
    }
    /**
    * 获取 截图地址
    * @return screenshotList
    */
    public List<String> getScreenshotList(){
        return this.screenshotList;
    }

    /**
    * 设置 截图地址
    * @param screenshotList
    */
    public void setScreenshotList(List<String> screenshotList){
        this.screenshotList = screenshotList;
    }
    /**
    * 获取 开始 客户id
    * @return customerIdStart
    */
    public Long getCustomerIdStart(){
        return this.customerIdStart;
    }

    /**
    * 设置 开始 客户id
    * @param customerIdStart
    */
    public void setCustomerIdStart(Long customerIdStart){
        this.customerIdStart = customerIdStart;
    }

    /**
    * 获取 结束 客户id
    * @return $customerIdEnd
    */
    public Long getCustomerIdEnd(){
        return this.customerIdEnd;
    }

    /**
    * 设置 结束 客户id
    * @param customerIdEnd
    */
    public void setCustomerIdEnd(Long customerIdEnd){
        this.customerIdEnd = customerIdEnd;
    }

    /**
    * 获取 增加 客户id
    * @return customerIdIncrement
    */
    public Long getCustomerIdIncrement(){
        return this.customerIdIncrement;
    }

    /**
    * 设置 增加 客户id
    * @param customerIdIncrement
    */
    public void setCustomerIdIncrement(Long customerIdIncrement){
        this.customerIdIncrement = customerIdIncrement;
    }

    /**
    * 获取 客户id
    * @return customerIdList
    */
    public List<Long> getCustomerIdList(){
        return this.customerIdList;
    }

    /**
    * 设置 客户id
    * @param customerIdList
    */
    public void setCustomerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
    }

    /**
    * 获取 客户名称
    * @return custNameList
    */
    public List<String> getCustNameList(){
        return this.custNameList;
    }

    /**
    * 设置 客户名称
    * @param custNameList
    */
    public void setCustNameList(List<String> custNameList){
        this.custNameList = custNameList;
    }
    /**
    * 获取 开始 提交时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 提交时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 提交时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 提交时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 回复状态备0未回复1已回复
    * @return replyStatusStart
    */
    public Integer getReplyStatusStart(){
        return this.replyStatusStart;
    }

    /**
    * 设置 开始 回复状态备0未回复1已回复
    * @param replyStatusStart
    */
    public void setReplyStatusStart(Integer replyStatusStart){
        this.replyStatusStart = replyStatusStart;
    }

    /**
    * 获取 结束 回复状态备0未回复1已回复
    * @return $replyStatusEnd
    */
    public Integer getReplyStatusEnd(){
        return this.replyStatusEnd;
    }

    /**
    * 设置 结束 回复状态备0未回复1已回复
    * @param replyStatusEnd
    */
    public void setReplyStatusEnd(Integer replyStatusEnd){
        this.replyStatusEnd = replyStatusEnd;
    }

    /**
    * 获取 增加 回复状态备0未回复1已回复
    * @return replyStatusIncrement
    */
    public Integer getReplyStatusIncrement(){
        return this.replyStatusIncrement;
    }

    /**
    * 设置 增加 回复状态备0未回复1已回复
    * @param replyStatusIncrement
    */
    public void setReplyStatusIncrement(Integer replyStatusIncrement){
        this.replyStatusIncrement = replyStatusIncrement;
    }

    /**
    * 获取 回复状态备0未回复1已回复
    * @return replyStatusList
    */
    public List<Integer> getReplyStatusList(){
        return this.replyStatusList;
    }

    /**
    * 设置 回复状态备0未回复1已回复
    * @param replyStatusList
    */
    public void setReplyStatusList(List<Integer> replyStatusList){
        this.replyStatusList = replyStatusList;
    }

    /**
    * 获取 回复内容
    * @return replyContentList
    */
    public List<String> getReplyContentList(){
        return this.replyContentList;
    }

    /**
    * 设置 回复内容
    * @param replyContentList
    */
    public void setReplyContentList(List<String> replyContentList){
        this.replyContentList = replyContentList;
    }
    /**
    * 获取 开始 回复时间
    * @return replyTimeStart
    */
    public String getReplyTimeStart(){
        return this.replyTimeStart;
    }

    /**
    * 设置 开始 回复时间
    * @param replyTimeStart
    */
    public void setReplyTimeStart(String replyTimeStart){
        this.replyTimeStart = replyTimeStart;
    }

    /**
    * 获取 结束 回复时间
    * @return replyTimeEnd
    */
    public String getReplyTimeEnd(){
        return this.replyTimeEnd;
    }

    /**
    * 设置 结束 回复时间
    * @param replyTimeEnd
    */
    public void setReplyTimeEnd(String replyTimeEnd){
        this.replyTimeEnd = replyTimeEnd;
    }

    /**
    * 获取 开始 回复发送方式1站内发送2短信发送3同时发送
    * @return sendModeStart
    */
    public Integer getSendModeStart(){
        return this.sendModeStart;
    }

    /**
    * 设置 开始 回复发送方式1站内发送2短信发送3同时发送
    * @param sendModeStart
    */
    public void setSendModeStart(Integer sendModeStart){
        this.sendModeStart = sendModeStart;
    }

    /**
    * 获取 结束 回复发送方式1站内发送2短信发送3同时发送
    * @return $sendModeEnd
    */
    public Integer getSendModeEnd(){
        return this.sendModeEnd;
    }

    /**
    * 设置 结束 回复发送方式1站内发送2短信发送3同时发送
    * @param sendModeEnd
    */
    public void setSendModeEnd(Integer sendModeEnd){
        this.sendModeEnd = sendModeEnd;
    }

    /**
    * 获取 增加 回复发送方式1站内发送2短信发送3同时发送
    * @return sendModeIncrement
    */
    public Integer getSendModeIncrement(){
        return this.sendModeIncrement;
    }

    /**
    * 设置 增加 回复发送方式1站内发送2短信发送3同时发送
    * @param sendModeIncrement
    */
    public void setSendModeIncrement(Integer sendModeIncrement){
        this.sendModeIncrement = sendModeIncrement;
    }

    /**
    * 获取 回复发送方式1站内发送2短信发送3同时发送
    * @return sendModeList
    */
    public List<Integer> getSendModeList(){
        return this.sendModeList;
    }

    /**
    * 设置 回复发送方式1站内发送2短信发送3同时发送
    * @param sendModeList
    */
    public void setSendModeList(List<Integer> sendModeList){
        this.sendModeList = sendModeList;
    }

    /**
    * 获取 开始 回复发送状态0未发送1已发送
    * @return sendStatusStart
    */
    public Integer getSendStatusStart(){
        return this.sendStatusStart;
    }

    /**
    * 设置 开始 回复发送状态0未发送1已发送
    * @param sendStatusStart
    */
    public void setSendStatusStart(Integer sendStatusStart){
        this.sendStatusStart = sendStatusStart;
    }

    /**
    * 获取 结束 回复发送状态0未发送1已发送
    * @return $sendStatusEnd
    */
    public Integer getSendStatusEnd(){
        return this.sendStatusEnd;
    }

    /**
    * 设置 结束 回复发送状态0未发送1已发送
    * @param sendStatusEnd
    */
    public void setSendStatusEnd(Integer sendStatusEnd){
        this.sendStatusEnd = sendStatusEnd;
    }

    /**
    * 获取 增加 回复发送状态0未发送1已发送
    * @return sendStatusIncrement
    */
    public Integer getSendStatusIncrement(){
        return this.sendStatusIncrement;
    }

    /**
    * 设置 增加 回复发送状态0未发送1已发送
    * @param sendStatusIncrement
    */
    public void setSendStatusIncrement(Integer sendStatusIncrement){
        this.sendStatusIncrement = sendStatusIncrement;
    }

    /**
    * 获取 回复发送状态0未发送1已发送
    * @return sendStatusList
    */
    public List<Integer> getSendStatusList(){
        return this.sendStatusList;
    }

    /**
    * 设置 回复发送状态0未发送1已发送
    * @param sendStatusList
    */
    public void setSendStatusList(List<Integer> sendStatusList){
        this.sendStatusList = sendStatusList;
    }

    /**
    * 获取 联系电话
    * @return contactTelphoneList
    */
    public List<String> getContactTelphoneList(){
        return this.contactTelphoneList;
    }

    /**
    * 设置 联系电话
    * @param contactTelphoneList
    */
    public void setContactTelphoneList(List<String> contactTelphoneList){
        this.contactTelphoneList = contactTelphoneList;
    }
    /**
    * 设置  建议ID，主键，自增长
    * @param id
    */
    public ProposalQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 建议ID，主键，自增长
    * @param idStart
    */
    public ProposalQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 建议ID，主键，自增长
    * @param idEnd
    */
    public ProposalQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 建议ID，主键，自增长
    * @param idIncrement
    */
    public ProposalQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 建议ID，主键，自增长
    * @param idList
    */
    public ProposalQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }


	/**
    * 设置 建议内容
    * @param content
    */
    public ProposalQuery content(String content){
        setContent(content);
		return this;
    }

    /**
    * 设置 建议内容
    * @param contentList
    */
    public ProposalQuery contentList(List<String> contentList){
        this.contentList = contentList;
		return this;
    }


	/**
    * 设置 截图地址
    * @param screenshot
    */
    public ProposalQuery screenshot(String screenshot){
        setScreenshot(screenshot);
		return this;
    }

    /**
    * 设置 截图地址
    * @param screenshotList
    */
    public ProposalQuery screenshotList(List<String> screenshotList){
        this.screenshotList = screenshotList;
		return this;
    }

    /**
    * 设置  客户id
    * @param customerId
    */
    public ProposalQuery customerId(Long customerId){
	    setCustomerId(customerId);
		return this;
    }
	
	 /**
    * 设置 开始 客户id
    * @param customerIdStart
    */
    public ProposalQuery customerIdStart(Long customerIdStart){
		this.customerIdStart = customerIdStart;
		return this;
    }

    /**
    * 设置 结束 客户id
    * @param customerIdEnd
    */
    public ProposalQuery customerIdEnd(Long customerIdEnd){
		this.customerIdEnd = customerIdEnd;
		return this;
    }

    /**
    * 设置 增加 客户id
    * @param customerIdIncrement
    */
    public ProposalQuery customerIdIncrement(Long customerIdIncrement){
		this.customerIdIncrement = customerIdIncrement;
		return this;
    }

    /**
    * 设置 客户id
    * @param customerIdList
    */
    public ProposalQuery customerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
		return this;
        }


	/**
    * 设置 客户名称
    * @param custName
    */
    public ProposalQuery custName(String custName){
        setCustName(custName);
		return this;
    }

    /**
    * 设置 客户名称
    * @param custNameList
    */
    public ProposalQuery custNameList(List<String> custNameList){
        this.custNameList = custNameList;
		return this;
    }


    /**
    * 设置  回复状态备0未回复1已回复
    * @param replyStatus
    */
    public ProposalQuery replyStatus(Integer replyStatus){
	    setReplyStatus(replyStatus);
		return this;
    }
	
	 /**
    * 设置 开始 回复状态备0未回复1已回复
    * @param replyStatusStart
    */
    public ProposalQuery replyStatusStart(Integer replyStatusStart){
		this.replyStatusStart = replyStatusStart;
		return this;
    }

    /**
    * 设置 结束 回复状态备0未回复1已回复
    * @param replyStatusEnd
    */
    public ProposalQuery replyStatusEnd(Integer replyStatusEnd){
		this.replyStatusEnd = replyStatusEnd;
		return this;
    }

    /**
    * 设置 增加 回复状态备0未回复1已回复
    * @param replyStatusIncrement
    */
    public ProposalQuery replyStatusIncrement(Integer replyStatusIncrement){
		this.replyStatusIncrement = replyStatusIncrement;
		return this;
    }

    /**
    * 设置 回复状态备0未回复1已回复
    * @param replyStatusList
    */
    public ProposalQuery replyStatusList(List<Integer> replyStatusList){
        this.replyStatusList = replyStatusList;
		return this;
        }


	/**
    * 设置 回复内容
    * @param replyContent
    */
    public ProposalQuery replyContent(String replyContent){
        setReplyContent(replyContent);
		return this;
    }

    /**
    * 设置 回复内容
    * @param replyContentList
    */
    public ProposalQuery replyContentList(List<String> replyContentList){
        this.replyContentList = replyContentList;
		return this;
    }


    /**
    * 设置  回复发送方式1站内发送2短信发送3同时发送
    * @param sendMode
    */
    public ProposalQuery sendMode(Integer sendMode){
	    setSendMode(sendMode);
		return this;
    }
	
	 /**
    * 设置 开始 回复发送方式1站内发送2短信发送3同时发送
    * @param sendModeStart
    */
    public ProposalQuery sendModeStart(Integer sendModeStart){
		this.sendModeStart = sendModeStart;
		return this;
    }

    /**
    * 设置 结束 回复发送方式1站内发送2短信发送3同时发送
    * @param sendModeEnd
    */
    public ProposalQuery sendModeEnd(Integer sendModeEnd){
		this.sendModeEnd = sendModeEnd;
		return this;
    }

    /**
    * 设置 增加 回复发送方式1站内发送2短信发送3同时发送
    * @param sendModeIncrement
    */
    public ProposalQuery sendModeIncrement(Integer sendModeIncrement){
		this.sendModeIncrement = sendModeIncrement;
		return this;
    }

    /**
    * 设置 回复发送方式1站内发送2短信发送3同时发送
    * @param sendModeList
    */
    public ProposalQuery sendModeList(List<Integer> sendModeList){
        this.sendModeList = sendModeList;
		return this;
        }

    /**
    * 设置  回复发送状态0未发送1已发送
    * @param sendStatus
    */
    public ProposalQuery sendStatus(Integer sendStatus){
	    setSendStatus(sendStatus);
		return this;
    }
	
	 /**
    * 设置 开始 回复发送状态0未发送1已发送
    * @param sendStatusStart
    */
    public ProposalQuery sendStatusStart(Integer sendStatusStart){
		this.sendStatusStart = sendStatusStart;
		return this;
    }

    /**
    * 设置 结束 回复发送状态0未发送1已发送
    * @param sendStatusEnd
    */
    public ProposalQuery sendStatusEnd(Integer sendStatusEnd){
		this.sendStatusEnd = sendStatusEnd;
		return this;
    }

    /**
    * 设置 增加 回复发送状态0未发送1已发送
    * @param sendStatusIncrement
    */
    public ProposalQuery sendStatusIncrement(Integer sendStatusIncrement){
		this.sendStatusIncrement = sendStatusIncrement;
		return this;
    }

    /**
    * 设置 回复发送状态0未发送1已发送
    * @param sendStatusList
    */
    public ProposalQuery sendStatusList(List<Integer> sendStatusList){
        this.sendStatusList = sendStatusList;
		return this;
        }


	/**
    * 设置 联系电话
    * @param contactTelphone
    */
    public ProposalQuery contactTelphone(String contactTelphone){
        setContactTelphone(contactTelphone);
		return this;
    }

    /**
    * 设置 联系电话
    * @param contactTelphoneList
    */
    public ProposalQuery contactTelphoneList(List<String> contactTelphoneList){
        this.contactTelphoneList = contactTelphoneList;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ProposalQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ProposalQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ProposalQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ProposalQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}