package com.mortals.xhx.module.question.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.question.model.vo.QuestionReplyVo;
/**
* 问答自动回复实体对象
*
* @author zxfei
* @date 2022-06-29
*/

public class QuestionReplyEntity extends QuestionReplyVo {
    private static final long serialVersionUID = 1L;

    /**
    * 问题关键字
    */
    private String keywords;
    /**
    * 回复内容
    */
    private String replyContent;
    /**
    * 创建用户名称
    */
    private String createUserName;



    public QuestionReplyEntity(){}
    /**
    * 获取 问题关键字
    * @return String
    */
    public String getKeywords(){
        return keywords;
    }
    /**
    * 设置 问题关键字
    * @param keywords
    */
    public void setKeywords(String keywords){
        this.keywords = keywords;
    }
    /**
    * 获取 回复内容
    * @return String
    */
    public String getReplyContent(){
        return replyContent;
    }
    /**
    * 设置 回复内容
    * @param replyContent
    */
    public void setReplyContent(String replyContent){
        this.replyContent = replyContent;
    }
    /**
    * 获取 创建用户名称
    * @return String
    */
    public String getCreateUserName(){
        return createUserName;
    }
    /**
    * 设置 创建用户名称
    * @param createUserName
    */
    public void setCreateUserName(String createUserName){
        this.createUserName = createUserName;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof QuestionReplyEntity) {
            QuestionReplyEntity tmp = (QuestionReplyEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",keywords:").append(getKeywords());
        sb.append(",replyContent:").append(getReplyContent());
        sb.append(",createUserName:").append(getCreateUserName());
        return sb.toString();
    }

    public void initAttrValue(){

            this.keywords = "";

            this.replyContent = "";

            this.createUserName = "";
    }
}